# Function get_viewable_fields

- get_viewable_fields(
  viewname: string,
  statehash: any,
  table: object | Table,
  fields: Field[],
  columns: object[],
  isShow: boolean,
  req: object,
  __: any,
  state?: {},
  srcViewName: any,
  viewResults: any,
  in_row_click: any,
  ): object[]

  #### Parameters

  - viewname: string
  - statehash: any
  - table: object | Table
  - fields: Field[]
  - columns: object[]
  - isShow: boolean
  - req: object
  - __: any
  - state: {} = {}
  - srcViewName: any
  - viewResults: any
  - in_row_click: any

  #### Returns object[]

  - Defined in packages/saltcorn-data/base-plugin/viewtemplates/viewable_fields.js:779